ONVIF::Device::Types::Service(3pm)

NAME
ONVIF::Device::Types::Service

DESCRIPTION
Perl data type class for the XML Schema defined complexType Service from the namespace http://www.onvif.org/ver10/device/wsdl.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Namespace

•   XAddr

•   Capabilities

•   Version

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::Service
   Namespace =>  $some_value, # anyURI
   XAddr =>  $some_value, # anyURI
   Capabilities =>  {
   },
   Version =>  { # ONVIF::Device::Types::OnvifVersion
     Major =>  $some_value, # int
     Minor =>  $some_value, # int
   },
 },

AUTHOR
Generated by SOAP::WSDL